View topic - Where?????? Yafaray exporter for 2.5x

Where?????? Yafaray exporter for 2.5x

General questions related with the YafaRay Project, 3D computer graphics and about this site.

Where?????? Yafaray exporter for 2.5x

Post Mon Jan 10, 2011 2:11 am

I have seen evidence that people are test-running the new Yafaray exporter for the latest Blender (2.5x series). However, finding the exporter scripts have not been easy. Seems there are different parallel threads on the subject as though there are different versions being developed simultaneously. So, who is actually developing the script officially? Who is not? Where can I get the right one? Why isn't there a link to the script on the download page?
User avatar
twohot
 
Posts: 18
Joined: Mon Jan 10, 2011 1:51 am

My First Yafaray bug report

Post Mon Jan 10, 2011 11:06 am

1. Got yafaray exporter for Blender here:
git clone http://github.com/shuvrosarker/yafaray_exporter.git

2. Used scons to build yafaray 0.1.1 from Source downloaded from Yafaray website. (Official download page)

3. Did some preliminary tweaks as explained here: http://somenewcolors.blogspot.com/2010/08/installing-yafaray-exporter-for-blender.html

4. Ran Blender from Terminal

5. Got the following results:
Code: Select all
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_AA_settings.py", line 4, in <module>
    FloatProperty = bpy.types.Scene.FloatProperty
AttributeError: type object 'Scene' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_camera.py", line 4, in <module>
    FloatProperty = bpy.types.Camera.FloatProperty
AttributeError: type object 'Camera' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_general_settings.py", line 4, in <module>
    FloatProperty = bpy.types.Scene.FloatProperty
AttributeError: type object 'Scene' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_integrator.py", line 4, in <module>
    FloatProperty = bpy.types.Scene.FloatProperty
AttributeError: type object 'Scene' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_material.py", line 4, in <module>
    FloatProperty = bpy.types.Material.FloatProperty
AttributeError: type object 'Material' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_object_light.py", line 4, in <module>
    FloatProperty = bpy.types.Object.FloatProperty
AttributeError: type object 'Object' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_texture.py", line 23, in <module>
    narrowui = bpy.context.user_preferences.view.properties_width_check
AttributeError: 'UserPreferencesView' object has no attribute 'properties_width_check'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_volume_integrator.py", line 4, in <module>
    FloatProperty = bpy.types.World.FloatProperty
AttributeError: type object 'World' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/properties_yaf_world.py", line 4, in <module>
    FloatProperty = bpy.types.World.FloatProperty
AttributeError: type object 'World' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/ui/yaf_light.py", line 4, in <module>
    FloatProperty = bpy.types.Lamp.FloatProperty
AttributeError: type object 'Lamp' has no attribute 'FloatProperty'
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 128, in register_module_call
    register()
  File "/opt/blender/2.56/scripts/op/yafaray_operator.py", line 109, in register
    bpy.types.register(OBJECT_OT_get_position)
AttributeError: bpy.types.register(...): already registered as a subclass
Traceback (most recent call last):
  File "/opt/blender/2.56/scripts/modules/bpy/utils.py", line 46, in _test_import
    mod = __import__(module_name)
  File "/opt/blender/2.56/scripts/io/yafaray/__init__.py", line 2, in <module>
    from yafaray import yaf_export
  File "/opt/blender/2.56/scripts/io/yafaray/yaf_export.py", line 24, in <module>
    import yafrayinterface


So, how do I get yafaray and Blender to cooperate?
User avatar
twohot
 
Posts: 18
Joined: Mon Jan 10, 2011 1:51 am

Re: Where?????? Yafaray exporter for 2.5x

Post Mon Jan 10, 2011 12:46 pm

shuvro began coding the exporter as part of the GSOC, but I don't think he is working on it now. The exporter you have may be old.

The most recent exporter:-
git clone git://github.com/megasoft78/Blender-2.5 ... ficial.git

More information here:-
http://www.yafaray.org/node/434
http://www.yafaray.org/community/forum/ ... &start=165

You can download recent Blender builds with the Yafaray exporter from graphicall.org

Please bear in mind the exporter, and Blender 2.5x are unfinished and not considered stable for production use.
User avatar
stoneage
 
Posts: 1241
Joined: Sun Dec 23, 2007 1:06 pm


Return to News & Discussion



Who is online

Users browsing this forum: No registered users and 2 guests

cron